<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StudentWaiver extends Model
{
    protected $fillable = [
        'student_id', 
        'fee_type_id', 
        'discount_type', 
        'discount_value', 
        'is_active'
    ];

    public function student() {
        return $this->belongsTo(Student::class, 'student_id');
    }

    public function feeType() {
        return $this->belongsTo(FeeType::class, 'fee_type_id');
    }
}